import 'dart:convert';

/// HVError - parsed error class
class HVError {
  final int errorCode;
  final String errorMessage;

  HVError({required this.errorCode, required this.errorMessage});

  static HVError fromMap(Map errorObj) {
    return HVError(
        errorCode: errorObj["errorCode"],
        errorMessage: errorObj["errorMessage"]);
  }
}

/// HVResponse - parsed response class
class HVResponse {
  final Map? apiResult;
  final String? imageUri;
  final String? videoUri;
  final String? fullImageUri;
  final Map? apiHeaders;
  final String? retakeMessage;
  final String? action;
  final String? qr;

  HVResponse(
      {
      this.apiResult,
      this.imageUri,
      this.fullImageUri,
      this.videoUri,
      this.apiHeaders,
      this.retakeMessage,
      this.action,
      this.qr});

  static HVResponse fromMap(Map resObj) {
    var apiResultObj =
        (resObj["apiResult"] != null) ? jsonDecode(resObj["apiResult"]) : {};
    return HVResponse(
        apiResult: apiResultObj,
        imageUri: resObj["imageUri"],
        fullImageUri: resObj["fullImageUri"],
        videoUri: resObj["videoUri"],
        retakeMessage: resObj["retakeMessage"],
        action: resObj["action"],
        qr: resObj["qr"],
        apiHeaders: (resObj["apiHeaders"] != null)
            ? Map<String, dynamic>.from(jsonDecode(resObj["apiHeaders"]))
            : {});
  }
}
